Skip to main content
`Ctrl`+`K`

# MatCoarsenSetThreshold

Set the threshold for HEM

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenSetThreshold(MatCoarsen coarse, PetscReal b)

Logically Collective

## Input Parameters

- coarse - the coarsen context

- b - threshold value

## Options Database Key

- -mat_coarsen_threshold <- 1> - threshold

## Note

When the coarsening is used inside `PCGAMG` then the options database keys are prefixed with `-pc_gamg_`

## Developer Note

It is not documented how this threshold is used

## See Also

`MatCoarsen`, `MatCoarsenType`, `MatCoarsenApply()`, `MatCoarsenCreate()`, `MatCoarsenSetType()`

## Level

intermediate

## Location

src/mat/graphops/coarsen/interface/coarsen.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages